Mac OS X Multiple Vulnerabilities (Security Update 2004-12-02)

High Nessus Plugin ID 15898

Synopsis

The remote host is missing a Mac OS X update that fixes a security issue.

Description

The remote host is missing Security Update 2004-12-02. This security update contains a number of fixes for the following programs :

- Apache
- Apache2
- AppKit
- Cyrus IMAP
- HIToolbox
- Kerberos
- Postfix
- PSNormalizer
- QuickTime Streaming Server
- Safari
- Terminal

These programs contain multiple vulnerabilities that could allow a remote attacker to execute arbitrary code.

Solution

Install Security Update 2004-12-02.

See Also

http://www.nessus.org/u?210abeb5

Plugin Details

Severity: High

ID: 15898

File Name: macosx_SecUpd20041202.nasl

Version: 1.24

Type: local

Agent: macosx

Published: 2004/12/02

Updated: 2018/07/14

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x

Required KB Items: Host/MacOSX/packages

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2004/12/02

Vulnerability Publication Date: 2003/02/24

Reference Information

CVE: CVE-2004-1082, CVE-2003-0020, CVE-2003-0987, CVE-2004-0174, CVE-2004-0488, CVE-2004-0492, CVE-2004-0885, CVE-2004-0940, CVE-2004-1083, CVE-2004-1084, CVE-2004-0747, CVE-2004-0786, CVE-2004-0751, CVE-2004-0748, CVE-2004-1081, CVE-2004-0803, CVE-2004-0804, CVE-2004-0886, CVE-2004-1089, CVE-2004-1085, CVE-2004-0642, CVE-2004-0643, CVE-2004-0644, CVE-2004-0772, CVE-2004-1088, CVE-2004-1086, CVE-2004-1123, CVE-2004-1121, CVE-2004-1122, CVE-2004-1087

BID: 9921, 9930, 9571, 11471, 11360, 11469, 10508, 11802

CWE: 119